upstream dummy-http-server-backend {
{{ range service "dummy-http-server" }}
  server {{ .Address }}:{{ .Port }};
{{ else }}
  server 127.0.0.1:65535; # force a 502
{{ end }}
}

server {
   listen 80;
   listen [::]:80;
   server_name dummy.hammerhead.luxeylab.net;

   location / {
      proxy_pass http://dummy-http-server-backend;
   }
}